Class | PhusionPassenger::AbstractInstaller
In: | lib/phusion_passenger/abstract_installer.rb
Parent: | Object

Abstract base class for installers. Used by passenger-install-apache2-module and passenger-install-nginx-module.

### Methods

new start

### Constants

PASSENGER_WEBSITE | = | "http://www.modrails.com/"
PHUSION_WEBSITE | = | "www.phusion.nl"

### Public Class methods

new(options = {})

[Source]

        # File lib/phusion_passenger/abstract_installer.rb, line 36
    36:         def initialize(options = {})
    37:                 options.each_pair do |key, value|
    38:                         instance_variable_set("@#{key}""@#{key}", value)
    39:                 end
    40:         end

### Public Instance methods

start()

[Source]

        # File lib/phusion_passenger/abstract_installer.rb, line 42
    42:         def start
    43:                 install!
    44:         ensure
    45:                 reset_terminal_colors
    46:         end

[Validate]